%global applet plasma_applet_redshift
%global upstream redshift-plasmoid

Name:           kde-plasma-redshift
Version:        1.0 
Release:        2%{?dist}
Summary:        Plasmoid for redshift

License:        GPLv3+
URL:            http://simgunz.org/projects/redshift-plasmoid
Source0:        https://github.com/simgunz/redshift-plasmoid/archive/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel

Requires:       redshift

%description
Redshift plasmoid provides a configuration interface and allows to start/stop
redshift daemon either manually or automatically based on the current activity.

%prep
%setup -q -n %{upstream}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{applet} --with-kde || touch %{applet}.lang

%post
/bin/touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :


%files -f %{applet}.lang
%doc COPYING README.md
%{_bindir}/redshiftautostart
%{_kde4_appsdir}/plasma/services/redshift.operations
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/plasma_applet_redshift.so
%{_kde4_libdir}/kde4/plasma_engine_redshift.so
%{_kde4_sharedir}/autostart/RedshiftAutostart.desktop
%{_kde4_sharedir}/config.kcfg/redshift.kcfg
%{_kde4_sharedir}/kde4/services/plasma-applet-redshift.desktop
%{_kde4_sharedir}/kde4/services/plasma-dataengine-redshift.desktop


%changelog
* Mon Nov 10 2014 Christian Dersch <lupinix@fedoraproject.org> - 1.0-2
- some small spec fixes

* Mon Nov 10 2014 Christian Dersch <lupinix@fedoraproject.org> - 1.0-1
- initial spec
